/* Copyright (c) 2015, The Linux Foundation. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *  * Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *  * Neither the name of The Linux Foundation nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

#ifndef _PANEL_OTM1906C_1080P_CMD_H_
#define _PANEL_OTM1906C_1080P_CMD_H_
/*---------------------------------------------------------------------------*/
/* HEADER files                                                              */
/*---------------------------------------------------------------------------*/
#include "panel.h"

/*---------------------------------------------------------------------------*/
/* Panel configuration                                                       */
/*---------------------------------------------------------------------------*/
static struct panel_config otm1906c_1080p_cmd_panel_data = {
	"qcom,mdss_dsi_otm1906c_1080p_cmd", "dsi:0:", "qcom,mdss-dsi-panel",
	10, 1, "DISPLAY_1", 0, 0, 60, 0, 0, 0, 1, 5, 0, 0, 0, 0, 0, 0, NULL
};

/*---------------------------------------------------------------------------*/
/* Panel resolution                                                          */
/*---------------------------------------------------------------------------*/
static struct panel_resolution otm1906c_1080p_cmd_panel_res = {
	1080, 1920, 45, 45, 8, 0, 16, 16, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0
};

/*---------------------------------------------------------------------------*/
/* Panel color information                                                   */
/*---------------------------------------------------------------------------*/
static struct color_info otm1906c_1080p_cmd_color = {
	24, 0, 0xff, 0, 0, 0
};

/*---------------------------------------------------------------------------*/
/* Panel on/off command information                                          */
/*---------------------------------------------------------------------------*/
static char otm1906c_1080p_cmd_on_cmd0[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x00, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd1[] = {
	0x04, 0x00, 0x29, 0xC0,
	0xFF, 0x19, 0x06, 0x01,
};

static char otm1906c_1080p_cmd_on_cmd2[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x80, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd3[] = {
	0x03, 0x00, 0x29, 0xC0,
	0xFF, 0x19, 0x06, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd4[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xA0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd5[] = {
	0x04, 0x00, 0x29, 0xC0,
	0xC1, 0x00, 0xC0, 0x10,
};

static char otm1906c_1080p_cmd_on_cmd6[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x91, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd7[] = {
	0x03, 0x00, 0x29, 0xC0,
	0xC5, 0x14, 0x28, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd8[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x95, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd9[] = {
	0x02, 0x00, 0x29, 0xC0,
	0xC5, 0x11, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd10[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x81, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd11[] = {
	0x02, 0x00, 0x29, 0xC0,
	0xa5, 0x01, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd12[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xa5, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd13[] = {
	0x02, 0x00, 0x29, 0xC0,
	0xc5, 0x11, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd14[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x90, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd15[] = {
	0x05, 0x00, 0x29, 0xC0,
	0xF5, 0x09, 0x16, 0x09,
	0x16, 0xFF, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd16[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xA7, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd17[] = {
	0x02, 0x00, 0x29, 0xC0,
	0xF5, 0x1A, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd18[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x9D, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd19[] = {
	0x02, 0x00, 0x29, 0xC0,
	0xF5, 0x1A, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd20[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xA5, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd21[] = {
	0x02, 0x00, 0x29, 0xC0,
	0xF5, 0x16, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd22[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x8D, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd23[] = {
	0x02, 0x00, 0x29, 0xC0,
	0xF5, 0x17, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd24[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xE3, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd25[] = {
	0x02, 0x00, 0x29, 0xC0,
	0xF5, 0x11, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd26[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xED, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd27[] = {
	0x02, 0x00, 0x29, 0xC0,
	0xF5, 0x16, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd28[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xE5, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd29[] = {
	0x02, 0x00, 0x29, 0xC0,
	0xF5, 0x16, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd30[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x81, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd31[] = {
	0x02, 0x00, 0x29, 0xC0,
	0xF5, 0x16, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd32[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x83, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd33[] = {
	0x02, 0x00, 0x29, 0xC0,
	0xF5, 0x16, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd34[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xE1, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd35[] = {
	0x02, 0x00, 0x29, 0xC0,
	0xF5, 0x16, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd36[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x80, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd37[] = {
	0x0d, 0x00, 0x29, 0xC0,
	0xD8, 0x81, 0x80, 0x81,
	0x81, 0x81, 0x82, 0x83,
	0x83, 0x84, 0x83, 0x85,
	0x86, 0xFF, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd38[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x90, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd39[] = {
	0x0d, 0x00, 0x29, 0xC0,
	0xD8, 0x00, 0x00, 0x80,
	0x81, 0x82, 0x83, 0x83,
	0x83, 0x84, 0x84, 0x86,
	0x88, 0xFF, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd40[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xA0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd41[] = {
	0x0d, 0x00, 0x29, 0xC0,
	0xD8, 0x00, 0x01, 0x02,
	0x02, 0x03, 0x04, 0x05,
	0x06, 0x08, 0x06, 0x2e,
	0x56, 0xFF, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd42[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xB0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd43[] = {
	0x0d, 0x00, 0x29, 0xC0,
	0xD8, 0x00, 0x80, 0x80,
	0x81, 0x82, 0x83, 0x83,
	0x84, 0x85, 0x84, 0x8b,
	0x91, 0xFF, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd44[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xC0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd45[] = {
	0x0d, 0x00, 0x29, 0xC0,
	0xD8, 0x82, 0x83, 0x83,
	0x85, 0x87, 0x89, 0x8b,
	0x8f, 0x90, 0x91, 0x95,
	0x99, 0xFF, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd46[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xD0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd47[] = {
	0x0d, 0x00, 0x29, 0xC0,
	0xD8, 0x02, 0x02, 0x02,
	0x03, 0x04, 0x05, 0x06,
	0x08, 0x0a, 0x0b, 0x18,
	0x24, 0xFF, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd48[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xC0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd49[] = {
	0x05, 0x00, 0x29, 0xC0,
	0xD7, 0x82, 0x80, 0xC0,
	0xFF, 0xFF, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd50[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x00, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd51[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x84, 0x80, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd52[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x00, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd53[] = {
	0x02, 0x00, 0x29, 0xC0,
	0xD9, 0x00, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd54[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x01, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd55[] = {
	0x02, 0x00, 0x29, 0xC0,
	0xD9, 0xac, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd56[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x80, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd57[] = {
	0x03, 0x00, 0x29, 0xC0,
	0xC1, 0x55, 0x55, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd58[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x94, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd59[] = {
	0x02, 0x00, 0x29, 0xC0,
	0xC5, 0x88, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd60[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xA4, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd61[] = {
	0x02, 0x00, 0x29, 0xC0,
	0xC5, 0x88, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd62[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xC1, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd63[] = {
	0x02, 0x00, 0x29, 0xC0,
	0xC5, 0xF5, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd64[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xB3, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd65[] = {
	0x02, 0x00, 0x29, 0xC0,
	0xC0, 0x88, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd66[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xB4, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd67[] = {
	0x02, 0x00, 0x29, 0xC0,
	0xC0, 0x50, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd68[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x00, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd69[] = {
	0x03, 0x00, 0x29, 0xC0,
	0xD8, 0x23, 0x23, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd70[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x80, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd71[] = {
	0x02, 0x00, 0x29, 0xC0,
	0xC4, 0x81, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd72[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xA0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd73[] = {
	0x02, 0x00, 0x29, 0xC0,
	0xB3, 0x33, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd74[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xA6, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd75[] = {
	0x02, 0x00, 0x29, 0xC0,
	0xB3, 0x20, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd76[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xE0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd77[] = {
	0x0B, 0x00, 0x29, 0xC0,
	0xB4, 0x1C, 0x19, 0x3F,
	0x01, 0x64, 0x5C, 0x01,
	0xA0, 0x5F, 0xA0, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd78[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xF0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd79[] = {
	0x02, 0x00, 0x29, 0xC0,
	0xB4, 0x64, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd80[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x80, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd81[] = {
	0x0F, 0x00, 0x29, 0xC0,
	0xC0, 0x00, 0x70, 0x00,
	0x0A, 0x0A, 0x00, 0x70,
	0x0A, 0x0A, 0x00, 0x70,
	0x00, 0x0A, 0x0A, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd82[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x90, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd83[] = {
	0x07, 0x00, 0x29, 0xC0,
	0xC0, 0x00, 0x00, 0x00,
	0x02, 0x00, 0x04, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd84[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xA0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd85[] = {
	0x10, 0x00, 0x29, 0xC0,
	0xC0, 0x00, 0x00, 0x02,
	0x00, 0x04, 0x15, 0x04,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
};

static char otm1906c_1080p_cmd_on_cmd86[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xD0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd87[] = {
	0x10, 0x00, 0x29, 0xC0,
	0xC0, 0x00, 0x00, 0x02,
	0x00, 0x04, 0x15, 0x04,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
};

static char otm1906c_1080p_cmd_on_cmd88[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x80, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd89[] = {
	0x0d, 0x00, 0x29, 0xC0,
	0xC2, 0x83, 0x01, 0x00,
	0x00, 0x82, 0x01, 0x00,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0xFF, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd90[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x90, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd91[] = {
	0x0d, 0x00, 0x29, 0xC0,
	0xC2, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0xFF, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd92[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xA0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd93[] = {
	0x0E, 0x00, 0x29, 0xC0,
	0xC2, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd94[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xB0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd95[] = {
	0x10, 0x00, 0x29, 0xC0,
	0xC2, 0x82, 0x02, 0x00,
	0x00, 0x88, 0x81, 0x02,
	0x00, 0x00, 0x88, 0x00,
	0x02, 0x00, 0x00, 0x88,
};

static char otm1906c_1080p_cmd_on_cmd96[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xC0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd97[] = {
	0x10, 0x00, 0x29, 0xC0,
	0xC2, 0x01, 0x02, 0x00,
	0x00, 0x88, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
};

static char otm1906c_1080p_cmd_on_cmd98[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xD0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd99[] = {
	0x10, 0x00, 0x29, 0xC0,
	0xC2, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x33,
	0x33, 0x33, 0x33, 0x00,
};

static char otm1906c_1080p_cmd_on_cmd100[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x80, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd101[] = {
	0x10, 0x00, 0x29, 0xC0,
	0xC3, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
};

static char otm1906c_1080p_cmd_on_cmd102[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xA0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd103[] = {
	0x0d, 0x00, 0x29, 0xC0,
	0xC3, 0x83, 0x01, 0x00,
	0x00, 0x82, 0x01, 0x00,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0xFF, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd104[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xB0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd105[] = {
	0x0F, 0x00, 0x29, 0xC0,
	0xC3, 0x00, 0x00, 0x00,
	0x00, 0x82, 0x02, 0x00,
	0x00, 0x88, 0x81, 0x02,
	0x00, 0x00, 0x88, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd106[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xC0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd107[] = {
	0x10, 0x00, 0x29, 0xC0,
	0xC3, 0x00, 0x02, 0x00,
	0x00, 0x88, 0x01, 0x02,
	0x00, 0x00, 0x88, 0x00,
	0x00, 0x00, 0x00, 0x00,
};

static char otm1906c_1080p_cmd_on_cmd108[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xD0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd109[] = {
	0x10, 0x00, 0x29, 0xC0,
	0xC3, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
};

static char otm1906c_1080p_cmd_on_cmd110[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xE0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd111[] = {
	0x06, 0x00, 0x29, 0xC0,
	0xC3, 0x33, 0x33, 0x33,
	0x33, 0x00, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd112[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x80, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd113[] = {
	0x0C, 0x00, 0x29, 0xC0,
	0xCB, 0x00, 0x00, 0x00,
	0x00, 0x30, 0x00, 0x03,
	0x00, 0x00, 0x00, 0x70,
};

static char otm1906c_1080p_cmd_on_cmd114[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x90, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd115[] = {
	0x10, 0x00, 0x29, 0xC0,
	0xCB, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
};

static char otm1906c_1080p_cmd_on_cmd116[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xA0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd117[] = {
	0x10, 0x00, 0x29, 0xC0,
	0xCB, 0x00, 0x00, 0x00,
	0xBF, 0x00, 0x00, 0x00,
	0x00, 0x00, 0xFF, 0x00,
	0x00, 0x00, 0x00, 0x00,
};

static char otm1906c_1080p_cmd_on_cmd118[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xB0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd119[] = {
	0x0d, 0x00, 0x29, 0xC0,
	0xCB, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x77,
	0x77, 0xFF, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd120[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xC0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd121[] = {
	0x10, 0x00, 0x29, 0xC0,
	0xCB, 0x01, 0x01, 0x01,
	0x01, 0x01, 0x01, 0x01,
	0x01, 0x01, 0x01, 0x01,
	0x01, 0x01, 0x01, 0x01,
};

static char otm1906c_1080p_cmd_on_cmd122[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xD0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd123[] = {
	0x10, 0x00, 0x29, 0xC0,
	0xCB, 0x01, 0x01, 0x01,
	0xF3, 0x01, 0x01, 0x01,
	0x01, 0x00, 0xF3, 0x00,
	0x00, 0x01, 0x00, 0x01,
};

static char otm1906c_1080p_cmd_on_cmd124[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xE0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd125[] = {
	0x0d, 0x00, 0x29, 0xC0,
	0xCB, 0x00, 0x01, 0x00,
	0x01, 0x00, 0x01, 0x00,
	0x01, 0x00, 0x00, 0x77,
	0x07, 0xFF, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd126[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xF0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd127[] = {
	0x0C, 0x00, 0x29, 0xC0,
	0xCB, 0xFF, 0xFF, 0xFF,
	0xFF, 0xFF, 0xFF, 0x03,
	0x33, 0x03, 0x00, 0x70,
};

static char otm1906c_1080p_cmd_on_cmd128[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x80, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd129[] = {
	0x0d, 0x00, 0x29, 0xC0,
	0xCC, 0x08, 0x09, 0x18,
	0x19, 0x0C, 0x0D, 0x0E,
	0x0F, 0x07, 0x07, 0x07,
	0x07, 0xFF, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd130[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x90, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd131[] = {
	0x0d, 0x00, 0x29, 0xC0,
	0xCC, 0x09, 0x08, 0x19,
	0x18, 0x0F, 0x0E, 0x0D,
	0x0C, 0x07, 0x07, 0x07,
	0x07, 0xFF, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd132[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xA0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd133[] = {
	0x10, 0x00, 0x29, 0xC0,
	0xCC, 0x14, 0x15, 0x16,
	0x17, 0x1C, 0x1D, 0x1E,
	0x1F, 0x01, 0x04, 0x20,
	0x07, 0x07, 0x07, 0x00,
};

static char otm1906c_1080p_cmd_on_cmd134[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xB0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd135[] = {
	0x0A, 0x00, 0x29, 0xC0,
	0xCC, 0x01, 0x02, 0x03,
	0x04, 0x05, 0x06, 0x07,
	0x07, 0x00, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd136[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x80, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd137[] = {
	0x10, 0x00, 0x29, 0xC0,
	0xCD, 0x1A, 0x01, 0x11,
	0x12, 0x1A, 0x05, 0x18,
	0x07, 0x1A, 0x1A, 0x23,
	0x23, 0x23, 0x1F, 0x1E,
};

static char otm1906c_1080p_cmd_on_cmd138[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x90, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd139[] = {
	0x04, 0x00, 0x29, 0xC0,
	0xCD, 0x1D, 0x23, 0x23,
};

static char otm1906c_1080p_cmd_on_cmd140[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xA0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd141[] = {
	0x10, 0x00, 0x29, 0xC0,
	0xCD, 0x1A, 0x02, 0x11,
	0x12, 0x1A, 0x06, 0x18,
	0x08, 0x1A, 0x1A, 0x23,
	0x23, 0x23, 0x1F, 0x1E,
};

static char otm1906c_1080p_cmd_on_cmd142[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xB0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd143[] = {
	0x04, 0x00, 0x29, 0xC0,
	0xCD, 0x1D, 0x23, 0x23,
};

static char otm1906c_1080p_cmd_on_cmd144[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x80, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd145[] = {
	0x0B, 0x00, 0x29, 0xC0,
	0xA4, 0xAF, 0x00, 0x20,
	0x04, 0x00, 0x17, 0x15,
	0x03, 0x60, 0x00, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd146[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x90, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd147[] = {
	0x04, 0x00, 0x29, 0xC0,
	0xA4, 0x00, 0x00, 0x00,
};

static char otm1906c_1080p_cmd_on_cmd148[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x80, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd149[] = {
	0x0d, 0x00, 0x29, 0xC0,
	0xA7, 0xFF, 0x0F, 0x1E,
	0x00, 0x20, 0x00, 0x01,
	0x98, 0x00, 0x00, 0x00,
	0x00, 0xFF, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd150[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x90, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd151[] = {
	0x0B, 0x00, 0x29, 0xC0,
	0xA7, 0x1D, 0x20, 0x3d,
	0x00, 0x00, 0xBE, 0x80,
	0xBE, 0x05, 0xF0, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd152[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xA0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd153[] = {
	0x02, 0x00, 0x29, 0xC0,
	0xA7, 0x30, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd154[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xB0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd155[] = {
	0x06, 0x00, 0x29, 0xC0,
	0xA7, 0x00, 0x1E, 0x1E,
	0x00, 0x00, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd156[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xC0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd157[] = {
	0x0d, 0x00, 0x29, 0xC0,
	0xA7, 0xFF, 0x3A, 0x49,
	0x00, 0x1E, 0x00, 0x01,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0xFF, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd158[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xD0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd159[] = {
	0x0B, 0x00, 0x29, 0xC0,
	0xA7, 0xFF, 0xFF, 0x1c,
	0x00, 0x01, 0x7C, 0x81,
	0x7C, 0x0B, 0xE0, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd160[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xE0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd161[] = {
	0x02, 0x00, 0x29, 0xC0,
	0xA7, 0x30, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd162[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xF0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd163[] = {
	0x06, 0x00, 0x29, 0xC0,
	0xA7, 0x00, 0x3C, 0x3C,
	0x00, 0x00, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd164[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xD0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd165[] = {
	0x0B, 0x00, 0x29, 0xC0,
	0xA7, 0xFF, 0xFF, 0x1D,
	0x00, 0x01, 0x7C, 0x81,
	0x7C, 0x0B, 0xE0, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd166[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x80, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd167[] = {
	0x0d, 0x00, 0x29, 0xC0,
	0xA9, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0xFF, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd168[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x90, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd169[] = {
	0x0B, 0x00, 0x29, 0xC0,
	0xA9, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd170[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xA0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd171[] = {
	0x02, 0x00, 0x29, 0xC0,
	0xA9, 0x00, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd172[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xB0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd173[] = {
	0x06, 0x00, 0x29, 0xC0,
	0xA9, 0x00, 0x00, 0x00,
	0x00, 0x00, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd174[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xC0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd175[] = {
	0x0F, 0x00, 0x29, 0xC0,
	0xA9, 0xFF, 0x3A, 0x49,
	0x00, 0x1E, 0x00, 0x01,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x77, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd176[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xD0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd177[] = {
	0x0B, 0x00, 0x29, 0xC0,
	0xA9, 0xFF, 0xFF, 0x1D,
	0x00, 0x01, 0x7C, 0x81,
	0x7C, 0x0B, 0xE0, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd178[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xE0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd179[] = {
	0x02, 0x00, 0x29, 0xC0,
	0xA9, 0x30, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd180[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xF0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd181[] = {
	0x06, 0x00, 0x29, 0xC0,
	0xA9, 0x00, 0x3C, 0x3C,
	0x00, 0x00, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd182[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xB0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd183[] = {
	0x09, 0x00, 0x29, 0xC0,
	0xA4, 0x05, 0xF0, 0x0B,
	0xE0, 0x00, 0x00, 0x0B,
	0xE0, 0xFF, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd184[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x80, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd185[] = {
	0x10, 0x00, 0x29, 0xC0,
	0xAB, 0x05, 0x14, 0x00,
	0x00, 0xFF, 0x6A, 0x00,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
};

static char otm1906c_1080p_cmd_on_cmd186[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xA0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd187[] = {
	0x10, 0x00, 0x29, 0xC0,
	0xAB, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
	0x07, 0x00, 0x00, 0x00,
	0x00, 0x01, 0x00, 0x00,
};

static char otm1906c_1080p_cmd_on_cmd188[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xB0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd189[] = {
	0x0d, 0x00, 0x29, 0xC0,
	0xAB, 0x00, 0x00, 0x68,
	0x0A, 0x00, 0x00, 0x44,
	0x04, 0x00, 0x00, 0x00,
	0x00, 0xFF, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd190[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x93, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd191[] = {
	0x02, 0x00, 0x29, 0xC0,
	0xB3, 0x01, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd192[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x80, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd193[] = {
	0x08, 0x00, 0x29, 0xC0,
	0xCE, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
};

static char otm1906c_1080p_cmd_on_cmd194[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x87, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd195[] = {
	0x08, 0x00, 0x29, 0xC0,
	0xCE, 0x00, 0x00, 0x33,
	0x00, 0x33, 0x00, 0x00,
};

static char otm1906c_1080p_cmd_on_cmd196[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xF0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd197[] = {
	0x05, 0x00, 0x29, 0xC0,
	0xCE, 0x00, 0x00, 0x00,
	0x00, 0xFF, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd198[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x90, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd199[] = {
	0x10, 0x00, 0x29, 0xC0,
	0xCE, 0x00, 0x00, 0x00,
	0xF0, 0x00, 0x00, 0x00,
	0x00, 0xFC, 0x00, 0xFC,
	0x00, 0x00, 0x00, 0x00,
};

static char otm1906c_1080p_cmd_on_cmd200[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xA0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd201[] = {
	0x08, 0x00, 0x29, 0xC0,
	0xCE, 0x00, 0x00, 0x40,
	0x40, 0x40, 0x00, 0x00,
};

static char otm1906c_1080p_cmd_on_cmd202[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xB0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd203[] = {
	0x10, 0x00, 0x29, 0xC0,
	0xCE, 0x01, 0x01, 0x01,
	0x01, 0x01, 0x01, 0x01,
	0x01, 0xF1, 0x01, 0xF1,
	0x01, 0x01, 0x01, 0x01,
};

static char otm1906c_1080p_cmd_on_cmd204[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xC0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd205[] = {
	0x08, 0x00, 0x29, 0xC0,
	0xCE, 0x01, 0x01, 0x01,
	0x01, 0x01, 0x01, 0x01,
};

static char otm1906c_1080p_cmd_on_cmd206[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xD0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd207[] = {
	0x10, 0x00, 0x29, 0xC0,
	0xCE, 0x04, 0x04, 0x04,
	0x04, 0x04, 0x04, 0x04,
	0x04, 0xF7, 0x04, 0xF7,
	0x04, 0x04, 0x00, 0x00,
};

static char otm1906c_1080p_cmd_on_cmd208[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xE0, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd209[] = {
	0x08, 0x00, 0x29, 0xC0,
	0xCE, 0x00, 0x00, 0x15,
	0x15, 0x15, 0x04, 0x04,
};

static char otm1906c_1080p_cmd_on_cmd210[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0xF4, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd211[] = {
	0x02, 0x00, 0x29, 0xC0,
	0xCE, 0x25, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd212[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x00, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd213[] = {
	0x19, 0x00, 0x29, 0xC0,
	0xE1, 0x00, 0x07, 0x0d,
	0x17, 0x21, 0x28, 0x35,
	0x48, 0x54, 0x65, 0x6f,
	0x76, 0x85, 0x7f, 0x77,
	0x67, 0x53, 0x40, 0x33,
	0x2a, 0x20, 0x12, 0x04,
	0x00, 0xFF, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd214[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x00, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd215[] = {
	0x19, 0x00, 0x29, 0xC0,
	0xE2, 0x00, 0x07, 0x0d,
	0x17, 0x21, 0x28, 0x35,
	0x48, 0x54, 0x65, 0x6f,
	0x76, 0x85, 0x7f, 0x77,
	0x67, 0x53, 0x40, 0x33,
	0x2a, 0x20, 0x12, 0x04,
	0x00, 0xFF, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd216[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x00, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd217[] = {
	0x19, 0x00, 0x29, 0xC0,
	0xE3, 0x00, 0x07, 0x0d,
	0x17, 0x21, 0x28, 0x35,
	0x48, 0x54, 0x65, 0x6f,
	0x76, 0x85, 0x7f, 0x77,
	0x67, 0x53, 0x40, 0x33,
	0x2a, 0x20, 0x12, 0x04,
	0x00, 0xFF, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd218[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x00, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd219[] = {
	0x19, 0x00, 0x29, 0xC0,
	0xE4, 0x00, 0x07, 0x0d,
	0x17, 0x21, 0x28, 0x35,
	0x48, 0x54, 0x65, 0x6f,
	0x76, 0x85, 0x7f, 0x77,
	0x67, 0x53, 0x40, 0x33,
	0x2a, 0x20, 0x12, 0x04,
	0x00, 0xFF, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd220[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x00, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd221[] = {
	0x19, 0x00, 0x29, 0xC0,
	0xE5, 0x00, 0x07, 0x0d,
	0x17, 0x21, 0x28, 0x35,
	0x48, 0x54, 0x65, 0x6f,
	0x76, 0x85, 0x7f, 0x77,
	0x67, 0x53, 0x40, 0x33,
	0x2a, 0x20, 0x12, 0x04,
	0x00, 0xFF, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd222[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x00, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd223[] = {
	0x19, 0x00, 0x29, 0xC0,
	0xE6, 0x00, 0x07, 0x0d,
	0x17, 0x21, 0x28, 0x35,
	0x48, 0x54, 0x65, 0x6f,
	0x76, 0x85, 0x7f, 0x77,
	0x67, 0x53, 0x40, 0x33,
	0x2a, 0x20, 0x12, 0x04,
	0x00, 0xFF, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd224[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x00, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd225[] = {
	0x22, 0x00, 0x29, 0xC0,
	0xEC, 0x40, 0x44, 0x43,
	0x44, 0x44, 0x34, 0x44,
	0x44, 0x44, 0x34, 0x44,
	0x44, 0x44, 0x43, 0x44,
	0x44, 0x34, 0x44, 0x44,
	0x44, 0x43, 0x44, 0x44,
	0x34, 0x44, 0x44, 0x44,
	0x43, 0x44, 0x44, 0x44,
	0x43, 0x04, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd226[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x00, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd227[] = {
	0x22, 0x00, 0x29, 0xC0,
	0xED, 0x40, 0x44, 0x43,
	0x44, 0x44, 0x34, 0x44,
	0x44, 0x44, 0x43, 0x44,
	0x44, 0x34, 0x44, 0x44,
	0x44, 0x43, 0x44, 0x44,
	0x34, 0x44, 0x44, 0x44,
	0x43, 0x44, 0x44, 0x34,
	0x44, 0x44, 0x44, 0x34,
	0x44, 0x04, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd228[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x00, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd229[] = {
	0x22, 0x00, 0x29, 0xC0,
	0xEE, 0x40, 0x44, 0x44,
	0x44, 0x44, 0x44, 0x44,
	0x44, 0x44, 0x44, 0x44,
	0x44, 0x44, 0x44, 0x44,
	0x44, 0x44, 0x44, 0x44,
	0x44, 0x44, 0x44, 0x44,
	0x44, 0x44, 0x44, 0x44,
	0x44, 0x44, 0x44, 0x44,
	0x44, 0x04, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd230[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x00, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd231[] = {
	0x02, 0x00, 0x29, 0xC0,
	0xFB, 0x01, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd232[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x80, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd233[] = {
	0x03, 0x00, 0x29, 0xC0,
	0xFF, 0x00, 0x00, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd234[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x00, 0x00, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd235[] = {
	0x04, 0x00, 0x29, 0xC0,
	0xFF, 0x00, 0x00, 0x00,
};

static char otm1906c_1080p_cmd_on_cmd236[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x35, 0x00, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd237[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x11, 0x00, 0xFF, 0xFF,
};

static char otm1906c_1080p_cmd_on_cmd238[] = {
	0x02, 0x00, 0x29, 0xC0,
	0x29, 0x00, 0xFF, 0xFF,
};

static struct mipi_dsi_cmd otm1906c_1080p_cmd_on_command[] = {
	{0x8, otm1906c_1080p_cmd_on_cmd0, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd1, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd2, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd3, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd4, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd5, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd6, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd7, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd8, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd9, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd10, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd11, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd12, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd13, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd14, 0x00},
	{0xc, otm1906c_1080p_cmd_on_cmd15, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd16, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd17, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd18, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd19, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd20, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd21, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd22, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd23, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd24, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd25, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd26, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd27, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd28, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd29, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd30, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd31, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd32, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd33, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd34, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd35, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd36, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd37, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd38, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd39, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd40, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd41, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd42, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd43, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd44, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd45, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd46, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd47, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd48, 0x00},
	{0xc, otm1906c_1080p_cmd_on_cmd49, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd50, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd51, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd52, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd53, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd54, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd55, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd56, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd57, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd58, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd59, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd60, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd61, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd62, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd63, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd64, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd65, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd66, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd67, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd68, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd69, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd70, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd71, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd72, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd73, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd74, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd75, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd76, 0x00},
	{0x10, otm1906c_1080p_cmd_on_cmd77, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd78, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd79, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd80, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd81, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd82, 0x00},
	{0xc, otm1906c_1080p_cmd_on_cmd83, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd84, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd85, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd86, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd87, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd88, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd89, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd90, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd91, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd92, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd93, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd94, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd95, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd96, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd97, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd98, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd99, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd100, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd101, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd102, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd103, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd104, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd105, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd106, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd107, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd108, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd109, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd110, 0x00},
	{0xc, otm1906c_1080p_cmd_on_cmd111, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd112, 0x00},
	{0x10, otm1906c_1080p_cmd_on_cmd113, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd114, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd115, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd116, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd117, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd118, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd119, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd120, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd121, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd122, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd123, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd124, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd125, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd126, 0x00},
	{0x10, otm1906c_1080p_cmd_on_cmd127, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd128, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd129, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd130, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd131, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd132, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd133, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd134, 0x00},
	{0x10, otm1906c_1080p_cmd_on_cmd135, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd136, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd137, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd138, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd139, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd140, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd141, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd142, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd143, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd144, 0x00},
	{0x10, otm1906c_1080p_cmd_on_cmd145, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd146, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd147, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd148, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd149, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd150, 0x00},
	{0x10, otm1906c_1080p_cmd_on_cmd151, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd152, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd153, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd154, 0x00},
	{0xc, otm1906c_1080p_cmd_on_cmd155, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd156, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd157, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd158, 0x00},
	{0x10, otm1906c_1080p_cmd_on_cmd159, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd160, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd161, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd162, 0x00},
	{0xc, otm1906c_1080p_cmd_on_cmd163, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd164, 0x00},
	{0x10, otm1906c_1080p_cmd_on_cmd165, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd166, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd167, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd168, 0x00},
	{0x10, otm1906c_1080p_cmd_on_cmd169, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd170, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd171, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd172, 0x00},
	{0xc, otm1906c_1080p_cmd_on_cmd173, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd174, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd175, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd176, 0x00},
	{0x10, otm1906c_1080p_cmd_on_cmd177, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd178, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd179, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd180, 0x00},
	{0xc, otm1906c_1080p_cmd_on_cmd181, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd182, 0x00},
	{0x10, otm1906c_1080p_cmd_on_cmd183, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd184, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd185, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd186, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd187, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd188, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd189, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd190, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd191, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd192, 0x00},
	{0xc, otm1906c_1080p_cmd_on_cmd193, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd194, 0x00},
	{0xc, otm1906c_1080p_cmd_on_cmd195, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd196, 0x00},
	{0xc, otm1906c_1080p_cmd_on_cmd197, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd198, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd199, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd200, 0x00},
	{0xc, otm1906c_1080p_cmd_on_cmd201, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd202, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd203, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd204, 0x00},
	{0xc, otm1906c_1080p_cmd_on_cmd205, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd206, 0x00},
	{0x14, otm1906c_1080p_cmd_on_cmd207, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd208, 0x00},
	{0xc, otm1906c_1080p_cmd_on_cmd209, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd210, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd211, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd212, 0x00},
	{0x20, otm1906c_1080p_cmd_on_cmd213, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd214, 0x00},
	{0x20, otm1906c_1080p_cmd_on_cmd215, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd216, 0x00},
	{0x20, otm1906c_1080p_cmd_on_cmd217, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd218, 0x00},
	{0x20, otm1906c_1080p_cmd_on_cmd219, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd220, 0x00},
	{0x20, otm1906c_1080p_cmd_on_cmd221, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd222, 0x00},
	{0x20, otm1906c_1080p_cmd_on_cmd223, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd224, 0x00},
	{0x28, otm1906c_1080p_cmd_on_cmd225, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd226, 0x00},
	{0x28, otm1906c_1080p_cmd_on_cmd227, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd228, 0x00},
	{0x28, otm1906c_1080p_cmd_on_cmd229, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd230, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd231, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd232, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd233, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd234, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd235, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd236, 0x00},
	{0x8, otm1906c_1080p_cmd_on_cmd237, 0x78},
	{0x8, otm1906c_1080p_cmd_on_cmd238, 0x78}
};

#define OTM1906C_1080P_CMD_ON_COMMAND 239


static char otm1906c_1080p_cmdoff_cmd0[] = {
	0x28, 0x00, 0x05, 0x80
};

static char otm1906c_1080p_cmdoff_cmd1[] = {
	0x10, 0x00, 0x05, 0x80
};

static struct mipi_dsi_cmd otm1906c_1080p_cmd_off_command[] = {
	{0x4, otm1906c_1080p_cmdoff_cmd0, 0x32},
	{0x4, otm1906c_1080p_cmdoff_cmd1, 0x78}
};

#define OTM1906C_1080P_CMD_OFF_COMMAND 2


static struct command_state otm1906c_1080p_cmd_state = {
	0, 1
};

/*---------------------------------------------------------------------------*/
/* Command mode panel information                                            */
/*---------------------------------------------------------------------------*/
static struct commandpanel_info otm1906c_1080p_cmd_command_panel = {
	1, 1, 1, 0, 0, 0x2c, 0, 0, 0, 1, 0, 0
};

/*---------------------------------------------------------------------------*/
/* Video mode panel information                                              */
/*---------------------------------------------------------------------------*/
static struct videopanel_info otm1906c_1080p_cmd_video_panel = {
	1, 0, 0, 0, 1, 1, 2, 0, 0x9
};

/*---------------------------------------------------------------------------*/
/* Lane configuration                                                        */
/*---------------------------------------------------------------------------*/
static struct lane_configuration otm1906c_1080p_cmd_lane_config = {
	4, 0, 1, 1, 1, 1, 0
};

/*---------------------------------------------------------------------------*/
/* Panel timing                                                              */
/*---------------------------------------------------------------------------*/
static const uint32_t otm1906c_1080p_cmd_timings[] = {
	0x6E, 0x3F, 0x36, 0x00, 0x5A, 0x4F, 0x38, 0x41, 0x54, 0x03, 0x04, 0x00
};

static struct panel_timing otm1906c_1080p_cmd_timing_info = {
	0, 4, 0x1E, 0x30
};

static struct panel_reset_sequence otm1906c_1080p_cmd_panel_reset_seq = {
{ 1, 0, 1, }, { 200, 200, 200, }, 2
};

/*---------------------------------------------------------------------------*/
/* Backlight setting                                                         */
/*---------------------------------------------------------------------------*/
static struct backlight otm1906c_1080p_cmd_backlight = {
	1, 1, 4095, 100, 1, "PMIC_8941"
};

#define OTM1906C_1080P_CMD_SIGNATURE 0xFFFF

#endif /*_PANEL_OTM1906C_1080P_CMD_H_*/
